Name:          libX11
Version:       1.6.12
Release:       1mamba
Summary:       X.Org X11 library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://x.org
Source:        ftp://ftp.x.org/pub/individual/lib/libX11-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ldconfig
BuildRequires: libxcb-devel
BuildRequires: xorgproto-devel
## AUTOBUILDREQ-END
BuildRequires: xtrans-devel
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
X.Org X11 library.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      xorgproto-devel
Requires:      libxcb-devel

%description devel
X.Org X11 library.
This package contains static libraries and header files needed for development.

%debug_package

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libX11.so.*
%{_libdir}/libX11-xcb.so.*
%{_datadir}/X11/XErrorDB
#%{_datadir}/X11/XKeysymDB
%{_datadir}/X11/locale/*
%{_datadir}/X11/Xcms.txt
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%{_libdir}/libX11.a
%{_libdir}/libX11.la
%{_libdir}/libX11.so
%{_libdir}/libX11-xcb.a
%{_libdir}/libX11-xcb.la
%{_libdir}/libX11-xcb.so
%dir %{_includedir}/X11
%{_includedir}/X11/*.h
%dir %{_includedir}/X11/extensions
%{_includedir}/X11/extensions/*.h
%{_libdir}/pkgconfig/*.pc
%dir %{_docdir}/libX11
%{_docdir}/libX11/*
%{_mandir}/man3/*
%{_mandir}/man5/*
%doc ChangeLog NEWS

%changelog
* Mon Oct 12 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.12-1mamba
- update to 1.6.12

* Wed Apr 29 2020 Automatic Build System <autodist@mambasoft.it> 1.6.9-1mamba
- automatic update by autodist

* Sun Oct 22 2017 Automatic Build System <autodist@mambasoft.it> 1.6.5-1mamba
- automatic update by autodist

* Mon Mar 30 2015 Automatic Build System <autodist@mambasoft.it> 1.6.3-1mamba
- automatic update by autodist

* Fri Dec 13 2013 Automatic Build System <autodist@mambasoft.it> 1.6.2-1mamba
- automatic update by autodist

* Sat Aug 24 2013 Automatic Build System <autodist@mambasoft.it> 1.6.1-1mamba
- automatic update by autodist

* Tue Jun 11 2013 Automatic Build System <autodist@mambasoft.it> 1.6.0-1mamba
- automatic version update by autodist

* Tue May 28 2013 Automatic Build System <autodist@mambasoft.it> 1.5.99.902-1mamba
- automatic version update by autodist

* Mon Jul 02 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.0-1mamba
- automatic update by autodist
- (20130410) added lib32-libX11 32 bit compatibility library

* Sun Jun 19 2011 Automatic Build System <autodist@mambasoft.it> 1.4.3-1mamba
- automatic update by autodist

* Wed Mar 23 2011 Automatic Build System <autodist@mambasoft.it> 1.4.2-1mamba
- automatic update by autodist

* Tue Jan 18 2011 Automatic Build System <autodist@mambasoft.it> 1.4.1-1mamba
- automatic update by autodist

* Mon Dec 06 2010 Automatic Build System <autodist@mambasoft.it> 1.4.0-1mamba
- automatic update by autodist

* Sat Jun 26 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.4-2mamba
- rebuilt to add pkgconfig provides

* Tue Jun 22 2010 Automatic Build System <autodist@mambasoft.it> 1.3.4-1mamba
- automatic update by autodist

* Sun Feb 21 2010 Automatic Build System <autodist@mambasoft.it> 1.3.3-1mamba
- automatic update by autodist

* Thu Dec 03 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.2-1mamba
- update to 1.3.2

* Tue Oct 13 2009 Automatic Build System <autodist@mambasoft.it> 1.3-1mamba
- automatic update by autodist

* Wed Aug 05 2009 Automatic Build System <autodist@mambasoft.it> 1.2.99.901-1mamba
- automatic update by autodist

* Sun Jul 12 2009 Automatic Build System <autodist@mambasoft.it> 1.2.2-1mamba
- automatic update by autodist

* Sat Jun 13 2009 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- automatic update by autodist

* Wed Jan 07 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.5-1mamba
- update to 1.1.5

* Sat Sep 08 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.3-1mamba
- update to 1.1.3

* Tue Jul 17 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.2-1mamba
- update to 1.1.2

* Sat Feb 17 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.1-2qilnx
- added requirements for devel package

* Wed Feb 07 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.1-1qilnx
- update to version 1.1.1 by autospec

* Wed Jan 03 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.3-1qilnx
- update to version 1.0.3 by autospec

* Mon Dec 18 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.1-1qilnx
- package created by autospec
